Bug 988959 - [Doc] [RFE] Filter scheduler for cell scheduling
[Doc] [RFE] Filter scheduler for cell scheduling
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Configuration_Reference_Guide (Show other bugs)
Unspecified Unspecified
high Severity unspecified
: ---
: 4.0
Assigned To: Summer Long
: Documentation, FutureFeature, Triaged
Depends On:
Blocks: 976449 1011085 1045051
  Show dependency treegraph
Reported: 2013-07-26 15:12 EDT by Stephen Gordon
Modified: 2014-01-05 22:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-01-05 22:40:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stephen Gordon 2013-07-26 15:12:41 EDT
Cloned for documentation impact, refer to Bug # 976449 for implementation details.
Comment 2 Summer Long 2013-08-15 01:58:03 EDT
Doc info in: https://review.openstack.org/#/c/16221/
and: https://review.openstack.org/#/c/29949/

From the dev bug: Up until now, the cells scheduler was selecting the cell where to create an instance randomly among the cells it knew about.

The work done for this blueprint adds the ability to select that cell using a set of filters (See scheduler_filter_classes in nova.conf) and weights (See scheduler_weight_classes in nova.conf) which will determine the best cell where to create the instance. To test it you might want to activate/deactivate those new filters/weights in nova.conf and verify that the cell with the bigger weight is selected to create the instance instead of being chosen randomly.
Add to the section on configuring child cells.
Comment 3 Summer Long 2013-10-11 03:08:57 EDT
Upstream doc bug: https://bugs.launchpad.net/openstack-manuals/+bug/1187290
Info here:http://docs.openstack.org/trunk/config-reference/content/section_compute-cells.html#cell-weights-filters

Both weight_offset and ram_by_instance_type options have been added to the Cell Configuration Options section. 
Need to add:
Comment 4 Summer Long 2013-10-13 21:52:46 EDT
Changes made. Waiting for upstream review:
Comment 5 Summer Long 2013-10-14 02:18:37 EDT
Added defaults, submitted again.

Note You need to log in before you can comment on or make changes to this bug.